$(function(){

	if(typeof(window.bag)=='undefined'){
		window['bag']= new Bag();
	}

	//Обновление итоговой суммы
	bag.on('calculate', function(){
		$('#cartTotalCost').html(bag.getTotalCost());
	});

	//Удаление товара из корзины
	$('.cart-table tbody tr .remove a').click(function(){
		var
			$tr= $(this).parents('tr');

		bag.remove(
			$tr.data('id'), 
			function(){
				$tr.fadeOut();
			}
		);
	});

	//Обработка кнопок +/-
	$('.cart-table tbody tr .amount a').click(function(){

		var
			$tr= $(this).parents('tr'),
			$input= $(this).parent().find('input'),
			count= parseInt($input.val());

		if(isNaN(count)){
			count= 1;
		}

		if($(this).hasClass('minus')){
			if(--count <=1){
				count= 1;
			}

			$input.val(count);
		}

		if($(this).hasClass('plus')){
			$input.val(++count);
		}

		bag
			.withAttr('type', $tr.data('type'))
			.set($tr.data('id'), count);
			
		return false;
	});

	$('#submit-cart-form').click(function(){
		$('form[name=cart-form]').submit();
		return false;
	});
});